@import "~@/assets/sass/theme.sass"
@import "~@/assets/sass/common/typography.sass"

.social
  display: grid
  justify-items: center
  grid-row-gap: 100px
  padding: 200px 0
  @media (max-width: $mbp)
    padding: 100px 0
    grid-row-gap: 60px
  &__title
    opacity: 0
    @extend .text-f36
    color: $white
    margin-bottom: 24px
    font-weight: 700
    @media (max-width: $mbp)
      font-size: $f22-size
      line-height: $f22-lh
  &__gradient
    width: 0
  &-main
    justify-self: stretch
    display: grid
    grid-template: 1fr / repeat(5, minmax(0, 1fr))
    grid-column-gap: 20px
    @media (max-width: $mbp)
      display: flex
      flex-wrap: wrap
      justify-content: center
      grid-template: unset
      grid-template-columns: 1fr 1fr
      grid-auto-rows: min-content
      grid-gap: 0
      margin: -12px -10px
  &-item
    @extend .text-f16
    cursor: pointer
    border-radius: 10px
    display: grid
    grid-template: 1fr / min-content min-content
    place-items: center
    justify-content: center
    grid-column-gap: 20px
    padding: 16px 0
    font-weight: 500
    @media (max-width: $mbp)
      font-size: $f12-size
      line-height: $f12-lh
      padding: 12px 0
      width: 100%
    &.telegram
      background-color: #38A6DB
    &.medium
      background-color: #34AA45
    &.discord
      background-color: #5662F6
    &.github
      background-color: #303030
    &.twitter
      background-color: #1DA1F2
      grid-column: 1 / -1
    &__name
      @extend .text-f16
      color: $white
      font-weight: 500
      text-transform: capitalize
    &-col
      opacity: 0
      @media (max-width: $mbp)
        padding: 12px 10px
        flex: 0 0 calc(50%)
    img
      width: 40px
      height: 32px
      @media (max-width: $mbp)
        width: 30px
        height: 24px

